<?php
include("config.php");
require("jsonapi.php");
include("ip_handler.php");

$json = new JSONAPI($config_host, $config_port, $config_username, $config_password, $config_salt);

//gets how many players are online
function getPlayerCount($json){
	$out = ($json->call('getPlayerCount'));
	return $out["success"];
}

//gets maximum amount of players online
function getPlayerLimit($json){
	$out = ($json->call('getPlayerLimit'));
	return $out["success"];
}

//ban specified player
function banPlayer($json, $player){
	$out = $json->call("ban", array($player));
	return "player '$player' has been banned";
}

//unban specified player
function unbanPlayer($json, $player){
	$out = $json->call("unban", array($player));
	return "player '$player' has been unbanned";
}

//kick specified player
function kickPlayer($json, $player){
	$out = $json->call("kick", array($player));
	return "player '$player' has been kicked";
}

//op specified player
function opPlayer($json, $player){
	$out = $json->call("opPlayer", array($player));
	return "player '$player' is now an op";
}

//deop specified player
function deopPlayer($json, $player){
	$out = $json->call("deopPlayer", array($player));
	return "player '$player' has been deopped";
}

//add player to whitelist
function whitelistPlayer($json, $player){
	$out = $json->call("addToWhitelist", array($player));
	return "player '$player' has been added to whitelist";
}

//remove player from whitelist
function unwhitelistPlayer($json, $player){
	$out = $json->call("removeFromWhitelist", array($player));
	return "player '$player' has been removed from whitelist";
}

//returns array with all online players
function playerList($json){
	$out = $json->call("getPlayers");
	return $out;
}

//broadcast a message as a player
function broadcast($json, $message, $player){
	$out = $json->call("broadcastWithName", array($message, $player));
	return "$player: $message";
}

//returns server port
function getPort($json){
	$out = $json->call("getServerPort");
	return $out["success"];
}

//returns recent chat messages
function getRecentChat($json, $limit){
	$out = $json->call("getLatestChatsWithLimit", array($limit));
	return $out;
}

//returns banlist
function getBanlist($json){
	$out = $json->call("getBannedPlayers");
	return $out;
}

//returns whitelist
function getWhitelist($json){
	$out = $json->call("getWhitelist");
	return $out;
}

//run command in console 
function runCommand($json, $command){
	$out = $json->call("runConsoleCommand", array($command));
	return $out;
}
?>